Name:		pm-utils-tuxonice
Version:	0.2
Release:	5.cubbi1
Summary:	Compability package to add tuxonice functionality to pm-utils

Group:		Applications/System
License:	GPL
URL:		http://mhensler.de/swsusp/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	pm-utils > 1.0
BuildArch:	noarch

Packager:	Matthias Hensler <matthias@wspse.de>

%description
pm-utils 1.0 and newer provide some simple functionality to use TuxOnIce.
However, no method to configure some important settings exists so far.

This package provides an additional hook to import settings from
/etc/hibernate/ for usage with pm-utils.

If this package is installed TuxOnIce will be used by default. To disable
this either uninstall the package or edit /etc/pm/config.d/tuxonice and
change the SLEEP_METHOD.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
bzip2 -dc %{SOURCE0} | tar -x -C $RPM_BUILD_ROOT --strip-components 1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/pm/config.d
/usr/lib/pm-utils

%changelog
* Mon May 25 2011 Matthias Hensler <matthias@wspse.de> 0.2-5.cubbi1
- rebuild for Fedora 15

* Thu Nov 04 2010 Matthias Hensler <matthias@wspse.de> 0.2-4.cubbi1
- rebuild for Fedora 14

* Fri May 14 2010 Matthias Hensler <matthias@wspse.de> 0.2-3.cubbi1
- rebuild for Fedora 13

* Wed Nov 18 2009 Matthias Hensler <matthias@wspse.de> 0.2-2.cubbi1
- rebuild for Fedora 12

* Mon Jun 08 2009 Matthias Hensler <matthias@wspse.de> 0.2-1.cubbi1
- use /etc/hibernate/tuxonice.conf if available
- rebuild for Fedora 11

* Wed Jun 11 2008 Matthias Hensler <matthias@wspse.de> 0.1-1.cubbi1
- initial package with basic support for swapwriter and userui.

